ClientAuthorizationTestCase.TestAuthzCredentialGenerator (Apache Geode 1.8.0)
Date: 2018-11-29

org.apache.geode.security

## Class ClientAuthorizationTestCase.TestAuthzCredentialGenerator

- java.lang.Object
- - org.apache.geode.security.ClientAuthorizationTestCase.TestAuthzCredentialGenerator

- All Implemented Interfaces:
    ClientAuthorizationTestCase.TestCredentialGenerator
  Enclosing class:
    ClientAuthorizationTestCase

      protected static class ClientAuthorizationTestCase.TestAuthzCredentialGenerator
      extends java.lang.Object
      implements ClientAuthorizationTestCase.TestCredentialGenerator

  Contains a `AuthzCredentialGenerator` and implements the `ClientAuthorizationTestCase.TestCredentialGenerator` interface.
  Since:
    GemFire 5.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestAuthzCredentialGenerator(AuthzCredentialGenerator authzGen)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Properties` | `getAllowedCredentials(OperationContext.OperationCode[] opCodes, java.lang.String[] regionNames, int[] keyIndices, int num)` Get allowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array
    `CredentialGenerator` | `getCredentialGenerator()` Get the `CredentialGenerator` if any.
    `java.util.Properties` | `getDisallowedCredentials(OperationContext.OperationCode[] opCodes, java.lang.String[] regionNames, int[] keyIndices, int num)` Get disallowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestAuthzCredentialGenerator

          public TestAuthzCredentialGenerator(AuthzCredentialGenerator authzGen)

  - ### Method Detail

    - #### getAllowedCredentials

          public java.util.Properties getAllowedCredentials(OperationContext.OperationCode[] opCodes,
                                                            java.lang.String[] regionNames,
                                                            int[] keyIndices,
                                                            int num)

      Description copied from interface: `ClientAuthorizationTestCase.TestCredentialGenerator`
      Get allowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array
      Specified by:
        `getAllowedCredentials` in interface `ClientAuthorizationTestCase.TestCredentialGenerator`

    - #### getDisallowedCredentials

          public java.util.Properties getDisallowedCredentials(OperationContext.OperationCode[] opCodes,
                                                               java.lang.String[] regionNames,
                                                               int[] keyIndices,
                                                               int num)

      Description copied from interface: `ClientAuthorizationTestCase.TestCredentialGenerator`
      Get disallowed credentials for the given set of operations in the given regions and indices of KEYS in the `KEYS` array
      Specified by:
        `getDisallowedCredentials` in interface `ClientAuthorizationTestCase.TestCredentialGenerator`

    - #### getCredentialGenerator

          public CredentialGenerator getCredentialGenerator()

      Description copied from interface: `ClientAuthorizationTestCase.TestCredentialGenerator`
      Get the `CredentialGenerator` if any.
      Specified by:
        `getCredentialGenerator` in interface `ClientAuthorizationTestCase.TestCredentialGenerator`